Subject: [payload] Request for consideration: draft-westin-payload-vp8-01

From: Harald Alvestrand <[email-masked]>
Date: Wed, 02 Mar 2011 14:35:57 +0100

Hello,

I'm not sure what the formal procedure should be, so I'm just sending 
email...
I think that draft-westin-payload-vp8-01, describing an RTP 
encapsulation for VP8, is ready for IETF review and possible approval.

What steps do we need to take in order to get it on the proper agendas?

                  Harald Alvestrand

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Wed, 2 Mar 2011 05:47:35 -0800

We can put you on the agenda. Since this is the first meeting after AVT split, we will be sharing the same session with AVTcore.

How much time do you need? And we will need your slides to post them before the session.

-acbegen

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Harald Alvestrand
> Sent: Wednesday, March 02, 2011 8:36 AM
> To: [email-masked]
> Subject: [payload] Request for consideration: draft-westin-payload-vp8-01
> 
> Hello,
> 
> _______________________________________________
> payload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/payload

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 2 Mar 2011 18:20:38 +0100

I suspect this depends whether it needs discussion or not.

My understanding was that payloads were substantially meant to be a matter for review and approval providing they followed the rules.

I would suggest you get a couple of experts to read it, see if it makes sense and that it is not duplicating something that already exists. 

If that comes back positive, put a message to the list to adopt a milestone to progress it.

Follow that with a detailed expert review, then WGLC, then publication request.

Now some of those may throw up something that requires face to face time, but I don't think you are at that stage yet.

Regards

Keith

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Ali C. Begen (abegen)
> Sent: 02 March 2011 13:48
> To: Harald Alvestrand; [email-masked]
> Subject: Re: [payload] Request for consideration: draft-westin-payload-
> vp8-01
> 
> We can put you on the agenda. Since this is the first meeting after AVT
> split, we will be sharing the same session with AVTcore.
>

---

From: Harald Alvestrand <[email-masked]>
Date: Wed, 02 Mar 2011 19:00:48 +0100

> Now some of those may throw up something that requires face to face time, but I don't think you are at that stage yet.
Would be wonderful if it is that noncontroversial.
Magnus Westerlund has reviewed it already; who would you suggest for a 
second (or third) expert?

                     Harald

---

From: Stephan Wenger <[email-masked]>
Date: Wed, 02 Mar 2011 10:15:09 -0800

I'll take a look by IETF80.
Stephan

P.s.: Keith, I don't want to lock horns with you again, but your statement
below regarding "expert reviews" is not inline with my experience over the
last decade or so when it comes to video codec payload standardization.
And, I don't think it would be healthy.  There is so much money in this
ecosystem that people have played politics to prevent or facilitate
(depending on viewpoint) fast adoption.  That may be a bad thing, but its
probably not easy to avoid.  However, at the end, the scrutiny received
has more often than not led to a better standard.  As a result, I have yet
to see a video codec payload format that made it to RFC in less than 10
iterations.  I don't mind if the VP8 payload moves faster, but a would
object to the approval of a suboptimal technology when better technologies
are known, even if the draft describing it follows the rules.

On 3.2.2011 10:00 , "Harald Alvestrand" <[email-masked]> wrote:

>> My understanding was that payloads were substantially meant to be a
>>matter for review and approval providing they followed the rules.
>>
>> I would suggest you get a couple of experts to read it, see if it makes
>>sense and that it is not duplicating something that already exists.
>>
>> Now some of those may throw up something that requires face to face
>>time, but I don't think you are at that stage yet.
>>>> Subject: [payload] Request for consideration:
>>>>draft-westin-payload-vp8-
>>> 01
>>>> Hello,
>>>>

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 2 Mar 2011 12:00:42 -0700

> If that comes back positive, put a message to the list to adopt a milestone to progress it.

I've read it. It does not duplicate existing work. There is a strong need for it - people are implementing SIP products that use VP8 and there needs to be a way to negotiate use of VP8. This draft may need some work before it is done but it is more than ready for adoption as a WG item. I can not imagine any reason not to immediately add the following milestone

* Submit RTP Payload Format for VP8 Video for Proposed Standard

and do a call for WG adoption of this draft as a WG item.

Cullen

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 3 Mar 2011 13:06:05 +0100

Firstly, how this proceeds is up to the WG chairs, which for this WG does not involve me anymore.

I would just make two points:

1)	Adoption of a payload format does not mean IETF endorses the codec. It merely provides a transport if someone wants to use it. So in that respect, I believe there are only a few things to answer before starting the work:

	a)	is it a valid use of RTP
	b)	does it duplicate existing work
	c)	is the work so out of the window it is a waste of the working groups time

It does not involve the question of whether this is the best video codec on the market.

2)	None of the process I outlined removes the working group from the discussion. Adoption of the milestone still gets discussed on the list. The working group gets ample time to comment while expert reviews are being made. The working group still gets to comment on WGLC. The IETF still gets to comment at IETF last call.

Regards

Keith

> From: Stephan Wenger [mailto:[email-masked]]
> Sent: 02 March 2011 18:15
> To: Harald Alvestrand; DRAGE, Keith (Keith)
> Cc: [email-masked]

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 3 Mar 2011 14:03:43 +0100

It is up to the PAYLOAD chairs.

If Magnus and Cullen have read it - then that should answer the first question on whether there should be a payload format at all (duplication, not a valid RTP usage etc), and whether the WG should be asked if they want the document.

Keith

> From: Harald Alvestrand [mailto:[email-masked]]
> Sent: 02 March 2011 18:01
> To: DRAGE, Keith (Keith)
> Cc: Ali C. Begen (abegen); [email-masked]
> >>> Subject: [payload] Request for consideration: draft-westin-payload-
> vp8-
> >> 01
> >>> Hello,
> >>>

---

From: Peter Musgrave <[email-masked]>
Date: Thu, 3 Mar 2011 09:35:06 -0500

I have read the doc. I do not claim to be a video coding expert - so I cannot speak to the way in which the data is arranged in the payload.

I think it is generally quite clear and worth adopting. 

I would suggest that there be a mention of the desired behaviour in the SDP offer/answer when there is a mis-match on the optional version attribute.

Is it assumed that a endpoint which supports version 2 will also support version 1? Would it be listed as two attribute lines (one for each version) etc.?

(Nit: There is no table of contents)

Cheers, 

Peter Musgrave

---

From: Roni Even <[email-masked]>
Date: Thu, 03 Mar 2011 16:35:11 +0200

Hi Harald,
In general there is no problem to accept a payload specification as a WG
document as long as there is just one proposal. In this case I do not think
there will be a second proposal since this is unusual for non standard
codecs.

So we can ask for a milestone.

As for progressing the work I did a very quick look and have a couple of
comments

1. The media subtype registration in section 6 is not following the
registration template (see in rtp-howto or in one of the payload RFC e.g.
RFC5391  section 5.1. You can also look at a video codec like the updated
H.264 payload http://tools.ietf.org/html/draft-ietf-avt-rtp-rfc3984bis-12
which is in the RFC editor queue at the moment.)

2. The draft does not have a required congestion control section see
http://tools.ietf.org/html/draft-ietf-avt-rtp-howto-06 for payload
specification structure.

3. I noticed the division of the data to prediction mode parameters and
motion vectors partition and DCT/WHT coefficients partitions. Which enables
better resilience to loss according to the draft. In IP network the typical
loss is packet loss and not part of a packet so maybe in the congestion
control section you can provide some guideline about a recommendation of how
to build packets that can be removed.

4. In the example in section 6.4 I think that you should nave avpf and not
avp as the profile since you recommend using the feedback mechanism

Going forward  you can update the individual draft regardless of when it
becomes a WG item

Regards
Roni Even

> Sent: Wednesday, March 02, 2011 3:36 PM
> To: [email-masked]

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 07 Mar 2011 10:57:22 +0100

> which is in the RFC editor queue at the moment.)
I'll get that updated. Most of the fields are boilerplate.
> http://tools.ietf.org/html/draft-ietf-avt-rtp-howto-06 for payload
Checking: Is this currently draft-ietf-payload-rtp-howto-00?
Patrik did a pass at updating after being pointed at the document as 
part of Magnus' review, that's the diff between the -00 and the -01 version.
> to build packets that can be removed.
Area of active research. I'll get it considered; the comment was part of 
a consideration of using variable-protection FEC mechanisms, which was 
subsequently removed (we'll get back to that at a later stage).
> avp as the profile since you recommend using the feedback mechanism
It's only an example, but I agree.
> Going forward  you can update the individual draft regardless of when it
Thanks!

---

From: Roni Even <[email-masked]>
Date: Mon, 07 Mar 2011 12:59:53 +0200

Hi,
The latest version of RTP howto came after my previous response
http://tools.ietf.org/html/draft-ietf-payload-rtp-howto-00
You can also see the new milestone in the charter.
It will be good to have an updated individual draft which will include the
correct media subtype registration template and the mandatory sections
according to RTP Howto
Thanks
Roni Even
Payload co-chair

> Sent: Monday, March 07, 2011 11:57 AM
> To: Roni Even
> Cc: [email-masked]; [email-masked]; [email-masked]

---

From: Colin Perkins <[email-masked]>
Date: Tue, 8 Mar 2011 22:35:29 +0000

I've read the -02 version of this draft. The RTP payload format looks to be technically reasonable, and doesn't seem to duplicate existing work. I'd support it becoming a working group document. 

Colin

-- 
Colin Perkins
http://csperkins.org/